## HDF Imaging
# Setup
SetupField $DEF_IM $HDF
GetSky $DEF_CISCO EXPTIME=20 FILTER="Kp" SLITX=135
TelOffset $DEF_CISCO DX=0.0 DY=50.0
TelOffsetByQDAS $DEF_CISCO SKYSUB=ON

# Kp
CheckField $DEF_CISCO EXPTIME=20 FILTER="Kp"
GetObject $DEF_IM8 $HDF NFRAME=12 DITH=10.0
TelOffset $DEF_CISCO DX=0.0 DY=0.0
# H
CheckField $DEF_CISCO EXPTIME=20 FILTER="H"
GetObject $DEF_IM8 $HDF NFRAME=4 DITH=10.0
TelOffset $DEF_CISCO DX=0.0 DY=0.0
# J
CheckField $DEF_CISCO EXPTIME=40 FILTER="J"
GetObject $DEF_IM8 $HDF NFRAME=3 DITH=10.0
TelOffset $DEF_CISCO DX=0.0 DY=0.0

## Standard FS201
SetupField $DEF_IM $FS201
TelOffset $DEF_CISCO DX=0.0 DY=0.0
CheckField $DEF_CISCO EXPTIME=20 FILTER="Kp"
GetStandard $DEF_IM4 $FS201 NFRAME=12 DITH=10.0
CheckField $DEF_CISCO EXPTIME=60 FILTER="H2(2-1)"
GetStandard $DEF_IM4 $FS201 NFRAME=4 DITH=10.0

## B30930 Spectroscopy
# Setup
SetupField $DEF_IMV $B30930 I_BOTTOM=3000
AGCenter $DEF_CISCO
GetSky $DEF_CISCO EXPTIME=20 NSAMPLE=1 FILTER="H" SLITX=135
ProbeOffset $DEF_CISCO DX=0.0 DY=50.0
ProbeOffsetByQDAS $DEF_CISCO SKYSUB=ON
AGOffsetByQDAS $DEF_CISCO SKYSUB=ON

# JHGr, 0.5arcsec slit
CheckField $DEF_CISCO EXPTIME=5 NSAMPLE=1 SLITX=2.0
AGOffset $DEF_CISCO DX=0.0 DY=0.0
CheckField $DEF_CISCO EXPTIME=5 NSAMPLE=1 SLITX=0.5
CheckField $DEF_CISCO EXPTIME=20 NSAMPLE=1 FILTER="JHGr"
GetObject $DEF_SP4 $B30930 NFRAME=1 EXPTIME=400 NSAMPLE=1 DITH=10.0


## Standard SAO120671
#without AG
SetupField $DEF_IM $SAO120671
CATCHSAO $DEF_CISCO XCATCHSAOCENTERX
CheckField $DEF_CISCO EXPTIME=2 NSAMPLE=1
TelOffset $DEF_CISCO DX=2.0 DY=0.0
CheckField $DEF_CISCO

#with AG
SetupField $DEF_IM $SAO120671
CATCHSAO $DEF_CISCO XCATCHSAOCENTERX
SetupField $DEF_IMV
AGCenter $DEF_CISCO
CheckField $DEF_CISCO EXPTIME=2 NSAMPLE=1
AGOffset $DEF_CISCO DX=2.0 DY=0.0
CheckField $DEF_CISCO

#without AG
GetStandard $DEF_IM2 $SAO120671 NFRAME=3 DITH=10.0
TelOffset $DEF_CISCO DX=0.0 DY=-20.0
GetStandard $DEF_IM2 $SAO120671 NFRAME=3 DITH=10.0
#
#with AG
GetStandard $DEF_SP4 $SAO120671 NFRAME=3 DITH=10.0

## B30930 Spectroscopy
# Setup
SetupField $DEF_IMV $B30930 I_BOTTOM=3000
AGCenter $DEF_CISCO
GetSky $DEF_CISCO EXPTIME=20 NSAMPLE=1 FILTER="J" SLITX=135
ProbeOffset $DEF_CISCO DX=0.0 DY=50.0
ProbeOffsetByQDAS $DEF_CISCO SKYSUB=ON
AGOffsetByQDAS $DEF_CISCO SKYSUB=ON

# zJGr, 1.0arcsec slit
CheckField $DEF_CISCO EXPTIME=5 NSAMPLE=1 SLITX=2.0
AGOffset $DEF_CISCO DX=0.0 DY=0.0
CheckField $DEF_CISCO EXPTIME=5 NSAMPLE=1 SLITX=1.0
CheckField $DEF_CISCO EXPTIME=20 NSAMPLE=1 FILTER="zJGr"
GetObject $DEF_SP4 $B30930 NFRAME=1 EXPTIME=400 NSAMPLE=6 DITH=10.0


## Standard SAO120671
#without AG
SetupField $DEF_IM $SAO120671
CATCHSAO $DEF_CISCO XCATCHSAOCENTERX
CheckField $DEF_CISCO EXPTIME=2 NSAMPLE=1
TelOffset $DEF_CISCO DX=4.0 DY=0.0
CheckField $DEF_CISCO

#with AG
SetupField $DEF_IM $SAO120671
CATCHSAO $DEF_CISCO XCATCHSAOCENTERX
SetupField $DEF_IMV
AGCenter $DEF_CISCO
CheckField $DEF_CISCO EXPTIME=2 NSAMPLE=1
AGOffset $DEF_CISCO DX=4.0 DY=0.0
CheckField $DEF_CISCO

#without AG
GetStandard $DEF_IM2 $SAO120671 NFRAME=3 DITH=10.0
TelOffset $DEF_CISCO DX=0.0 DY=-20.0
GetStandard $DEF_IM2 $SAO120671 NFRAME=3 DITH=10.0
#
#with AG
GetStandard $DEF_SP4 $SAO120671 NFRAME=3 DITH=10.0
